Package com.xebialabs.xlrelease.api.v1

## Interface TaskReportingApi

- All Superinterfaces:
    `ApiService`

      public interface TaskReportingApi
      extends ApiService

  Operations on reporting records used by the audit report.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TASK_REPORTING_API` |

    - ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

      `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskReportingRecord` | `addRecord​(TaskReportingRecord record)` | Adds a new reporting record.
    `java.util.List<TaskReportingRecord>` | `addRecord​(TaskReportingRecord record, boolean applyTaskAttributes)` |
    `BuildRecord` | `newBuildRecord()` | Factory method to create a new instance of a build record.
    `CodeComplianceRecord` | `newCodeComplianceRecord()` | Factory method to create a new instance of a code compliance record.
    `DeploymentRecord` | `newDeploymentRecord()` | Factory method to create a new instance of a deployment record.
    `ItsmRecord` | `newItsmRecord()` | Factory method to create a new instance of an ITSM record.
    `PlanRecord` | `newPlanRecord()` | Factory method to create a new instance of a plan record.
    `default java.lang.String` | `serviceName()` |

- - ### Field Detail

    - #### TASK_REPORTING_API

          static final java.lang.String TASK_REPORTING_API

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### serviceName

          default java.lang.String serviceName()

      Specified by:
        `serviceName` in interface `ApiService`

    - #### addRecord

          java.util.List<TaskReportingRecord> addRecord​(TaskReportingRecord record,
                                                        @QueryParam("applyTaskAttributes")
                                                        boolean applyTaskAttributes)

    - #### addRecord

          TaskReportingRecord addRecord​(TaskReportingRecord record)

      Adds a new reporting record. Available since Release 22.2.0, use `taskReportingApi.addRecord(record, False)` with older Release versions.
      Parameters:
        `record` - an `TaskReportingRecord` object describing the collected data.
      Returns:
        the newly created record.

    - #### newItsmRecord

          ItsmRecord newItsmRecord()

      Factory method to create a new instance of an ITSM record.
      Returns:
        instance of the `ItsmRecord` type.

    - #### newPlanRecord

          PlanRecord newPlanRecord()

      Factory method to create a new instance of a plan record.
      Returns:
        instance of the `PlanRecord` type.

    - #### newBuildRecord

          BuildRecord newBuildRecord()

      Factory method to create a new instance of a build record.
      Returns:
        instance of the `BuildRecord` type.

    - #### newDeploymentRecord

          DeploymentRecord newDeploymentRecord()

      Factory method to create a new instance of a deployment record.
      Returns:
        instance of the `DeploymentRecord` type.

    - #### newCodeComplianceRecord

          CodeComplianceRecord newCodeComplianceRecord()

      Factory method to create a new instance of a code compliance record.
      Returns:
        instance of the `CodeComplianceRecord` type.